Skip to content
API reference

Workspace

The workspace itself.

GET/workspace

List workspace

Needs the permission tenant:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/workspace \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

PATCH/workspace

Change a workspace

Needs the permission tenant:update.

Body fieldTypeNotes
namestringat least 1 characters. up to 120 characters
timezonestringat least 3 characters. up to 64 characters
currencystring
defaultCountrystring or null
leadAssignmentone of creator, balanced, unassigned
firstResponseMinutesintegerat least 0. up to 10080
routinglist of objectup to 9 items
routing[].source requiredone of website, referral, portal, direct, meta_ads, google_ads, walk_in, other, all
routing[].userIds requiredlist of string (uuid)at least 1 items. up to 20 items
primaryColorstring or null
accentColorstring or null
curl -X PATCH https://crm.anibrosdesign.com/api/v1/workspace \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"name":"text","timezone":"text","currency":"text"}'

Responses: 200 400 401 402 403 412 429

Something missing or unclear? Tell us.

Chat on WhatsApp